Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.mbean
Class StatisticsService

    java.lang.Object
      org.mule.module.management.mbean.StatisticsService

All Implemented Interfaces:
  Serializable, Statistics, StatisticsServiceMBean

    public class StatisticsService

extends Object
implements StatisticsServiceMBean

`StatisicsService` exposes Mule processing statistics

See Also:
  Serialized Form

Field Summary
`protected static Log` | `logger` logger used by this class

Fields inherited from interface org.mule.module.management.mbean.StatisticsServiceMBean
`DEFAULT_JMX_NAME`

Constructor Summary
`StatisticsService()`

Method Summary
`void` | `clear()`
`Collection` | `getComponentStatistics()` Deprecated. use #getServiceStatistics
`Collection<FlowConstructStatistics>` | `getServiceStatistics()`
`boolean` | `isEnabled()` Are statistics logged
`void` | `logSummary()`
`String` | `printCSVSummary()`
`String` | `printHtmlSummary()`
`String` | `printXmlSummary()`
`void` | `setEnabled(boolean b)`
`void` | `setMuleContext(MuleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

Constructor Detail

### StatisticsService

    public StatisticsService()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

### clear

    public void clear()

  See Also:
    `org.mule.api.management.stats.Statistics#clear()`

### isEnabled

    public boolean isEnabled()

  Description copied from interface: `Statistics`
  Are statistics logged

  Specified by:
    `isEnabled` in interface `Statistics`
  See Also:
    `Statistics.isEnabled()`

### setEnabled

    public void setEnabled(boolean b)

  See Also:
    `org.mule.api.management.stats.Statistics#setEnabled(boolean)`

### getComponentStatistics

    @Deprecated
    public Collection getComponentStatistics()

  Deprecated. use #getServiceStatistics

### getServiceStatistics

    public Collection<FlowConstructStatistics> getServiceStatistics()

### logSummary

    public void logSummary()

### printCSVSummary

    public String printCSVSummary()

  Specified by:
    `printCSVSummary` in interface `StatisticsServiceMBean`

### printHtmlSummary

    public String printHtmlSummary()

  Specified by:
    `printHtmlSummary` in interface `StatisticsServiceMBean`

### printXmlSummary

    public String printXmlSummary()

  Specified by:
    `printXmlSummary` in interface `StatisticsServiceMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.